summaryrefslogtreecommitdiff
path: root/openwrt/package/base-files/ar7-2.4/etc/preinit
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2006-06-15 17:21:17 +0000
committerFelix Fietkau <nbd@openwrt.org>2006-06-15 17:21:17 +0000
commit6e5a58eb7b284defa202b8d281d97bef53dd029e (patch)
treee927fafc128a4004807ae3197fd244bd403496b8 /openwrt/package/base-files/ar7-2.4/etc/preinit
parent44f2725829d62af2a078d3f47d712e62c4f399ef (diff)
downloadmtk-20170518-6e5a58eb7b284defa202b8d281d97bef53dd029e.zip
mtk-20170518-6e5a58eb7b284defa202b8d281d97bef53dd029e.tar.gz
mtk-20170518-6e5a58eb7b284defa202b8d281d97bef53dd029e.tar.bz2
clean up handling of the root filesystem mount - remove broadcom specific junk from the generic base-files part
SVN-Revision: 3951
Diffstat (limited to 'openwrt/package/base-files/ar7-2.4/etc/preinit')
-rwxr-xr-xopenwrt/package/base-files/ar7-2.4/etc/preinit11
1 files changed, 11 insertions, 0 deletions
diff --git a/openwrt/package/base-files/ar7-2.4/etc/preinit b/openwrt/package/base-files/ar7-2.4/etc/preinit
new file mode 100755
index 0000000..5b676ca
--- /dev/null
+++ b/openwrt/package/base-files/ar7-2.4/etc/preinit
@@ -0,0 +1,11 @@
+#!/bin/sh
+export PATH=/bin:/sbin:/usr/bin:/usr/sbin
+mount none /proc -t proc
+
+[ -f /etc/preinit.arch ] && . /etc/preinit.arch
+[ -z "$FAILSAFE" ] || {
+ echo /bin/true > /proc/sys/kernel/hotplug
+ telnetd -l /bin/login <> /dev/null 2>&1
+}
+mount_root ${FAILSAFE:+failsafe}
+exec /sbin/init